Results 1 to 4 of 4

Thread: samba password file fails

  1. #1
    Join Date
    Jul 2008
    Location
    Portland, OR, USA
    Posts
    17

    Default samba password file fails

    I run:

    Linux 2.6.27.48-0.3-pae i686
    openSUSE 11.1
    KDE 3.5.10

    When I attempt to determine who's in the samba database or enter a new member in the file I get the following:

    No builtin nor plugin backend for tbdsam found
    PANIC (pid 8201): pdb_get_methods_reload: failed to get pdb methods for backend tbdsam

    BACKTRACE: 7 stack frames:
    #0 pdbedit(log_stack_trace+0x2d) [0xb770c30d]
    #1 pdbedit(smb_panic+0x2d) [0xb770c40d]
    #2 pdbedit [0xb76969a7]
    #3 pdbedit(initialize_password_db+0x24) [0xb7699964]
    #4 pdbedit(main+0x175) [0xb766b825]
    #5 /lib/libc.so.6(__libc_start_main+0xe5) [0xb73c9705]
    #6 pdbedit [0xb766a131]
    Segmentation fault

    Here are the versions of relevant files:
    rpm -qa | grep samba
    samba-3.2.7-11.8.1
    yast2-samba-client-2.17.11-1.30
    yast2-samba-server-2.17.9-0.1.2
    samba-doc-3.2.7-11.2.1
    samba-client-3.2.7-11.8.1
    kdebase3-samba-3.5.10-17.5.1,
    and also cifs-mount 3.27-11.81

    I attempted to upgrade from the software.opensuse.org website with samba-3.60-10.1.i586.rpm. I get a message:
    Nothing provides cifs-utils needed by samba-client-3.60-10.1.i586.rpm.

    So I could not upgrade.

    There are other upgrades on the site but they are not available for some reason.
    What is an appropriate upgrade? Is upgrading the solution? If not then what?
    Steve
    Desktop #4: openSUSE 11.2(x86-64)|KDE 4.3.5|AMD Athlon 64 Processor 3500|NVidia GeForce 6150LE|3.8 GB RAM

  2. #2
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,728
    Blog Entries
    2

    Default Re: samba password file fails

    Try this link
    HTML Code:
    http://download.opensuse.org/repositories/network:/samba:/STABLE/openSUSE_11.1/
    Add it as a repo in Yast --> Software --> repositories. And try an upgrade using that.
    Leap 42.3 & 15.1 &KDE
    FYIs from the days of yore

  3. #3
    Join Date
    Jul 2008
    Location
    Portland, OR, USA
    Posts
    17

    Default Re: samba password file fails

    Thanks for the very rapid response. I logged on to report that commenting out the line

    passdb backend=tbdsam

    in the Swerdna recommended smb.conf removed the problem and allows me to run Samba. I found this suggestion by searching on the web. I can keep on with this truncated smb.conf or update. Is there something provided by the backend besides redundency that would make upgrading desirable?
    Steve
    Desktop #4: openSUSE 11.2(x86-64)|KDE 4.3.5|AMD Athlon 64 Processor 3500|NVidia GeForce 6150LE|3.8 GB RAM

  4. #4
    Join Date
    Mar 2008
    Location
    Oz
    Posts
    11,728
    Blog Entries
    2

    Default Re: samba password file fails

    Quote Originally Posted by portlsteve View Post
    Thanks for the very rapid response. I logged on to report that commenting out the line

    passdb backend=tbdsam

    in the Swerdna recommended smb.conf removed the problem and allows me to run Samba. I found this suggestion by searching on the web. I can keep on with this truncated smb.conf or update. Is there something provided by the backend besides redundency that would make upgrading desirable?
    You don't need it. It's simply mores secure than the default in 11.1, but I always thought the default was pretty good anyway.

    Go with the line removed because that works for you.
    Leap 42.3 & 15.1 &KDE
    FYIs from the days of yore

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •